rem Clone from base version in repository
rmdir /s/q scintilla
hg clone --updaterev 8527 ssh://nyamatongwe@hg.code.sf.net/p/scintilla/code scintilla
cd scintilla

rem Move CharacterSet and CharacterCategory so both projects have their own copies
move lexlib\CharacterSet.* src
move lexlib\CharacterCategory.* src
hg addremove --similarity 99
hg commit --message "Move CharacterSet and CharacterCategory from lexlib to src as in both Lexilla and Scintilla"

rem Remove Lexilla files
rmdir /s/q lexilla
rmdir /s/q lexers
rmdir /s/q lexlib

rem Remove Xcode project that builds combined Scintilla with lexers
rmdir /s/q cocoa\ScintillaFramework

erase /q include\SciLexer.h
erase /q src\Catalogue.*
erase /q src\ExternalLexer.*
erase /q win32\SciLexer.vcxproj
erase /q test\unit\testWordList.cxx
erase /q test\unit\testSparseState.cxx

hg addremove
hg commit --message "Remove Lexilla files from Scintilla"

rem Remove lexer tests from test
rmdir /s/q test\examples
erase /q test\lexTests.py
hg addremove
hg commit --message "Remove lexer tests from Scintilla"

rem Apply patches
hg import ../scintilla_8529.patch
hg import ../scintilla_8530.patch
hg import ../scintilla_8531.patch
hg import ../scintilla_8532.patch
hg import ../scintilla_8533.patch
hg import ../scintilla_8534.patch
hg import ../scintilla_8535.patch
hg import ../scintilla_8536.patch
hg import ../scintilla_8537.patch
hg import ../scintilla_8538.patch
hg import ../scintilla_8539.patch
hg import ../scintilla_8540.patch
hg import ../scintilla_8541.patch

cd win32
python DepGen.py
cd ..

cd gtk
python DepGen.py
cd ..

hg commit --message "Update build dependencies"

cd ..
